Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 954)
+++ plugins/widgets/index.php	(revision 735)
@@ -34,12 +34,4 @@
 	__('custom') => 'custom'
 );
-
-function literalNullString($v)
-{
-	if ($v == '') {
-		return '&lt;'.__('empty string').'&gt;';
-	}
-	return $v;
-}
 
 # Adding widgets to sidebars
@@ -201,5 +193,5 @@
 	'<div>'.form::hidden(array('w[void][0][id]'),html::escapeHTML($w->id())).
 	'<p class="widget-name">'.form::field(array('w[void][0][order]'),2,3,0,'hideControl').' '.
-	$w->name().($w->desc() != '' ? ' <span class="form-note">('.__($w->desc()).')</span>' : '').'</p>'.
+	$w->name().'</p>'.
 	'<p class="js-remove"><label class="classic">'.__('Append to:').' '.
 	form::combo(array('addw['.$w->id().']'),$append_combo).'</label></p>'.
@@ -267,6 +259,5 @@
 	$widget_elements->content .=
 	'<dt><strong>'.html::escapeHTML($w->name()).'</strong> ('.
-	__('Widget ID:').' <strong>'.html::escapeHTML($w->id()).'</strong>)'.
-	($w->desc() != '' ? ' <span class="form-note">'.__($w->desc()).'</span>' : '').'</dt>'.
+	__('Widget ID:').' <strong>'.html::escapeHTML($w->id()).'</strong>)</dt>'.
 	'<dd>';
 	
@@ -283,14 +274,13 @@
 			switch ($s['type']) {
 				case 'check':
-					$s_type = __('boolean').", ".__('possible values:')." <code>0</code> ".__('or')." <code>1</code>";
+					$s_type = '0|1';
 					break;
 				case 'combo':
-					$s['options'] = array_map("literalNullString", $s['options']);
-					$s_type = __('listitem').", ".__('possible values:')." <code>".implode('</code>, <code>',$s['options'])."</code>";
+					$s_type = implode('|',$s['options']);
 					break;
 				case 'text':
 				case 'textarea':
 				default:
-					$s_type = __('string');
+					$s_type = 'text';
 					break;
 			}
@@ -331,9 +321,9 @@
 		'<div>'.form::hidden(array($iname.'[id]'),html::escapeHTML($w->id())).
 		'<p class="widget-name">'.form::field(array($iname.'[order]'),2,3,(string) $i,'js-hide','',0,'title="'.__('order').'"').' '.
-		$w->name().($w->desc() != '' ? ' <span class="form-note">('.__($w->desc()).')</span>' : '').'</p>'.
+		$w->name().'</p>'.
 		'<p class="removeWidget js-remove"><label class="classic">'.
 		form::checkbox(array($iname.'[_rem]'),'1',0).' '.__('Remove widget').
 		'</label></p>'.
-		'<div class="widgetSettings">'.$w->formSettings($iname,$j).'</div>'.
+		'<div class="widgetSettings">'.$w->formSettings($iname,&$j).'</div>'.
 		'</div>';
 		
